Index: uspace/srv/console/gcons.c
===================================================================
--- uspace/srv/console/gcons.c	(revision 00acd66d3981789b3f8b04cdd854d29343dd9aa0)
+++ uspace/srv/console/gcons.c	(revision 0cc43137360df84474b0c4424e7571bdd7031787)
@@ -82,18 +82,18 @@
 static void vp_switch(int vp)
 {
-	async_msg(fbphone,FB_VIEWPORT_SWITCH, vp);
+	async_msg_1(fbphone,FB_VIEWPORT_SWITCH, vp);
 }
 
 /** Create view port */
-static int vp_create(unsigned int x, unsigned int y, 
-		     unsigned int width, unsigned int height)
-{
-	return async_req_2(fbphone, FB_VIEWPORT_CREATE,
-			   (x << 16) | y, (width << 16) | height, NULL, NULL);
+static int vp_create(unsigned int x, unsigned int y, unsigned int width,
+    unsigned int height)
+{
+	return async_req_2_0(fbphone, FB_VIEWPORT_CREATE, (x << 16) | y,
+	    (width << 16) | height);
 }
 
 static void clear(void)
 {
-	async_msg(fbphone, FB_CLEAR, 0);
+	async_msg_0(fbphone, FB_CLEAR);
 }
 
@@ -119,5 +119,5 @@
 	if (ic_pixmaps[state] != -1)
 		async_msg_2(fbphone, FB_VP_DRAW_PIXMAP, cstatus_vp[consnum],
-			ic_pixmaps[state]);
+		    ic_pixmaps[state]);
 
  	if (state != CONS_DISCONNECTED && state != CONS_KERNEL &&
@@ -141,5 +141,5 @@
 			redraw_state(i);
 		if (animation != -1)
-			async_msg(fbphone, FB_ANIM_START, animation);
+			async_msg_1(fbphone, FB_ANIM_START, animation);
 	} else {
 		if (console_state[active_console] == CONS_DISCONNECTED_SEL)
@@ -225,5 +225,5 @@
 
 	if (animation != -1)
-		async_msg(fbphone, FB_ANIM_STOP, animation);
+		async_msg_1(fbphone, FB_ANIM_STOP, animation);
 
 	active_console = KERNEL_CONSOLE; /* Set to kernel console */
@@ -317,5 +317,5 @@
 	/* Create area */
 	shm = mmap(NULL, size, PROTO_READ | PROTO_WRITE, MAP_SHARED |
-		MAP_ANONYMOUS, 0, 0);
+	    MAP_ANONYMOUS, 0, 0);
 	if (shm == MAP_FAILED)
 		return;
@@ -323,10 +323,9 @@
 	memcpy(shm, logo, size);
 	/* Send area */
-	rc = async_req_2(fbphone, FB_PREPARE_SHM, (ipcarg_t) shm, 0, NULL,
-		NULL);
+	rc = async_req_1_0(fbphone, FB_PREPARE_SHM, (ipcarg_t) shm);
 	if (rc)
 		goto exit;
-	rc = async_req_3(fbphone, IPC_M_AS_AREA_SEND, (ipcarg_t) shm, 0,
-		PROTO_READ, NULL, NULL, NULL);
+	rc = async_req_3_0(fbphone, IPC_M_AS_AREA_SEND, (ipcarg_t) shm, 0,
+	    PROTO_READ);
 	if (rc)
 		goto drop;
@@ -335,5 +334,5 @@
 drop:
 	/* Drop area */
-	async_msg(fbphone, FB_DROP_SHM, 0);
+	async_msg_0(fbphone, FB_DROP_SHM);
 exit:       
 	/* Remove area */
@@ -357,9 +356,9 @@
 	clear();
 	draw_pixmap(_binary_helenos_ppm_start,
-		(size_t) &_binary_helenos_ppm_size, xres - 66, 2);
+	    (size_t) &_binary_helenos_ppm_size, xres - 66, 2);
 	draw_pixmap(_binary_nameic_ppm_start,
-		(size_t) &_binary_nameic_ppm_size, 5, 17);
-
-	for (i = 0;i < CONSOLE_COUNT; i++)
+	    (size_t) &_binary_nameic_ppm_size, 5, 17);
+
+	for (i = 0; i < CONSOLE_COUNT; i++)
 		redraw_state(i);
 	vp_switch(console_vp);
@@ -380,5 +379,5 @@
 	/* Create area */
 	shm = mmap(NULL, size, PROTO_READ | PROTO_WRITE, MAP_SHARED |
-		MAP_ANONYMOUS, 0, 0);
+	    MAP_ANONYMOUS, 0, 0);
 	if (shm == MAP_FAILED)
 		return -1;
@@ -386,15 +385,14 @@
 	memcpy(shm, data, size);
 	/* Send area */
-	rc = async_req_2(fbphone, FB_PREPARE_SHM, (ipcarg_t) shm, 0, NULL,
-		NULL);
+	rc = async_req_1_0(fbphone, FB_PREPARE_SHM, (ipcarg_t) shm);
 	if (rc)
 		goto exit;
-	rc = async_req_3(fbphone, IPC_M_AS_AREA_SEND, (ipcarg_t) shm, 0,
-		PROTO_READ, NULL, NULL, NULL);
+	rc = async_req_3_0(fbphone, IPC_M_AS_AREA_SEND, (ipcarg_t) shm, 0,
+	    PROTO_READ);
 	if (rc)
 		goto drop;
 
 	/* Obtain pixmap */
-	rc = async_req(fbphone, FB_SHM2PIXMAP, 0, NULL);
+	rc = async_req_0_0(fbphone, FB_SHM2PIXMAP);
 	if (rc < 0)
 		goto drop;
@@ -402,5 +400,5 @@
 drop:
 	/* Drop area */
-	async_msg(fbphone, FB_DROP_SHM, 0);
+	async_msg_0(fbphone, FB_DROP_SHM);
 exit:       
 	/* Remove area */
@@ -424,26 +422,25 @@
 	int pm;
 
-	an = async_req(fbphone, FB_ANIM_CREATE, cstatus_vp[KERNEL_CONSOLE],
-		NULL);
+	an = async_req_1_0(fbphone, FB_ANIM_CREATE, cstatus_vp[KERNEL_CONSOLE]);
 	if (an < 0)
 		return;
 
 	pm = make_pixmap(_binary_anim_1_ppm_start,
-		(int) &_binary_anim_1_ppm_size);
+	    (int) &_binary_anim_1_ppm_size);
 	async_msg_2(fbphone, FB_ANIM_ADDPIXMAP, an, pm);
 
 	pm = make_pixmap(_binary_anim_2_ppm_start,
-		(int) &_binary_anim_2_ppm_size);
+	    (int) &_binary_anim_2_ppm_size);
 	async_msg_2(fbphone, FB_ANIM_ADDPIXMAP, an, pm);
 
 	pm = make_pixmap(_binary_anim_3_ppm_start,
-		(int) &_binary_anim_3_ppm_size);
+	    (int) &_binary_anim_3_ppm_size);
 	async_msg_2(fbphone, FB_ANIM_ADDPIXMAP, an, pm);
 
 	pm = make_pixmap(_binary_anim_4_ppm_start,
-		(int) &_binary_anim_4_ppm_size);
+	    (int) &_binary_anim_4_ppm_size);
 	async_msg_2(fbphone, FB_ANIM_ADDPIXMAP, an, pm);
 
-	async_msg(fbphone, FB_ANIM_START, an);
+	async_msg_1(fbphone, FB_ANIM_START, an);
 
 	animation = an;
@@ -468,5 +465,5 @@
 	fbphone = phone;
 
-	rc = async_req_2(phone, FB_GET_RESOLUTION, 0, 0, &xres, &yres);
+	rc = async_req_0_2(phone, FB_GET_RESOLUTION, &xres, &yres);
 	if (rc)
 		return;
@@ -478,6 +475,6 @@
 	/* Align width & height to character size */
 	console_vp = vp_create(CONSOLE_MARGIN, CONSOLE_TOP,
-		ALIGN_DOWN(xres - 2 * CONSOLE_MARGIN, 8),
-		ALIGN_DOWN(yres - (CONSOLE_TOP + CONSOLE_MARGIN), 16));
+	    ALIGN_DOWN(xres - 2 * CONSOLE_MARGIN, 8),
+	    ALIGN_DOWN(yres - (CONSOLE_TOP + CONSOLE_MARGIN), 16));
 	if (console_vp < 0)
 		return;
@@ -487,6 +484,6 @@
 	for (i = 0; i < CONSOLE_COUNT; i++) {
 		cstatus_vp[i] = vp_create(status_start + CONSOLE_MARGIN +
-			i * (STATUS_WIDTH + STATUS_SPACE), STATUS_TOP,
-			STATUS_WIDTH, STATUS_HEIGHT);
+		    i * (STATUS_WIDTH + STATUS_SPACE), STATUS_TOP,
+		    STATUS_WIDTH, STATUS_HEIGHT);
 		if (cstatus_vp[i] < 0)
 			return;
@@ -497,16 +494,16 @@
 	/* Initialize icons */
 	ic_pixmaps[CONS_SELECTED] =
-		make_pixmap(_binary_cons_selected_ppm_start,
-		(int) &_binary_cons_selected_ppm_size);
+	    make_pixmap(_binary_cons_selected_ppm_start,
+	    (int) &_binary_cons_selected_ppm_size);
 	ic_pixmaps[CONS_IDLE] = make_pixmap(_binary_cons_idle_ppm_start,
-		(int) &_binary_cons_idle_ppm_size);
+	    (int) &_binary_cons_idle_ppm_size);
 	ic_pixmaps[CONS_HAS_DATA] =
-		make_pixmap(_binary_cons_has_data_ppm_start,
-		(int) &_binary_cons_has_data_ppm_size);
+	    make_pixmap(_binary_cons_has_data_ppm_start,
+	    (int) &_binary_cons_has_data_ppm_size);
 	ic_pixmaps[CONS_DISCONNECTED] =
-		make_pixmap(_binary_cons_idle_ppm_start,
-		(int) &_binary_cons_idle_ppm_size);
+	    make_pixmap(_binary_cons_idle_ppm_start,
+	    (int) &_binary_cons_idle_ppm_size);
 	ic_pixmaps[CONS_KERNEL] = make_pixmap(_binary_cons_kernel_ppm_start,
-		(int) &_binary_cons_kernel_ppm_size);
+	    (int) &_binary_cons_kernel_ppm_size);
 	ic_pixmaps[CONS_DISCONNECTED_SEL] = ic_pixmaps[CONS_SELECTED];
 	
